Subject: Re: bash: difference between //c/ and c:/
From: Ralf Fassel <[email-masked]>
To: cygwin <[email-masked]>
Date: Fri, 16 Mar 2001 12:43:26 +0100

* Corinna Vinschen
| So it has to be:
| 
|    mount -s -b --change-cygdrive-prefix /

I'll have to try this, too.

In the meantime I could solve my Openssh login problems by using
`mount' and recreating /etc/passwd to have /home/user as HOME.

a) mount -s -b c:\\home /home
   This resolves the login-via-ssh-problem (bash not working as
   login-shell at all)

b) mount -s -b c:\\ /c
   this solves the `ls: .: no such file or directory' when I cd to
   c:/temp in a remote-login bash/sh and then invoke `ls'.

Step `b' should be obsoleted by --change-cygdrive, I have to test
that.

So the keypoint seems to me to `mount' all related pathes:
  - the home directories if they are to be `outside' of /
    (/ is c:/cygwin, /home should be c:/home)
  - the drives, either via explicit mounts, or via --change-cygdrive

This all relates to remote logins via openssh on my system.  Local
Desktop bash runs just fine.

Thanks folks, you've pointed me in the right direction.  No more //c/
business :-)

R'

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple